Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367201 - [RFE] OpenStack cloud support decouple from VM name
Summary: [RFE] OpenStack cloud support decouple from VM name
Keywords:
Status: NEW
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Seth Jennings
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-15 20:29 UTC by Aleksandar Kostadinov
Modified: 2019-02-11 18:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Aleksandar Kostadinov 2016-08-15 20:29:52 UTC
Description of problem:
Presently to support automatic provisioning of PVs from OpenStack cinder volumes, one has to name all VMs created within OpenStack with their hostnames. This doesn't allow semantic naming of VMs.
As a user I would like to name my machines in a way that makes it easier to understand what each VM is for. Using hostname doesn't provide necessary meaning to do that.

Version-Release number of selected component (if applicable):
3.3

Comment 1 Peter Ruan 2016-08-15 20:35:47 UTC
+1, having a meaningful hostname is needed to filter out hosts to be removed.

Comment 2 Johnny Liu 2016-08-16 01:39:26 UTC
+1, this issue is bother us for a long time. Here is a similar bug reported about 5 months ago - BZ#1321964.

Comment 4 Seth Jennings 2016-08-17 19:17:09 UTC
Upstream PR:
https://github.com/kubernetes/kubernetes/pull/30791

Comment 5 Seth Jennings 2016-08-30 02:27:22 UTC
Someone is already working on a more complete solution:
https://github.com/kubernetes/kubernetes/pull/31321

That gets us most of the way there.  After that, we just need a follow-on commit to start using node.ExternalID instead of node.Name.

Comment 6 Aleksandar Kostadinov 2016-12-06 12:07:24 UTC
Congrats, this was just merged!
Is any further code change needed? What OpenShift version do we expect to land the feature into?

Comment 7 Seth Jennings 2016-12-13 22:30:13 UTC
There is still more code change needed.  This part of the code is changing a lot from release to release of kuberenetes so I need to revisit it to see what more needs to be done.

This upstream commit will be in kubernetes 1.6 so it'll either be origin 1.6 (OSE 3.6)


Note You need to log in before you can comment on or make changes to this bug.